Index: RTIA/FederationManagement.cc
===================================================================
RCS file: /sources/certi/certi/RTIA/FederationManagement.cc,v
retrieving revision 3.67
diff -u -r3.67 RTIA/FederationManagement.cc
--- RTIA/FederationManagement.cc	12 Jun 2008 07:39:51 -0000	3.67
+++ RTIA/FederationManagement.cc	21 Jun 2008 18:18:15 -0000
@@ -52,12 +52,12 @@
 
 // ----------------------------------------------------------------------------
 //! FederationManagement.
-  FederationManagement::FederationManagement(Communications *GC, Statistics* stat)
+  FederationManagement::FederationManagement(Communications *GC, Statistics* newStat)
     : savingState(false), restoringState(false)
 {
     G.Out(pdGendoc,"enter FederationManagement::FederationManagement");
     comm = GC ;
-    this->stat = stat ;
+    stat = newStat ;
     tm = NULL ;
 
     _numero_federation = 0 ;
Index: RTIG/Federation.cc
===================================================================
RCS file: /sources/certi/certi/RTIG/Federation.cc,v
retrieving revision 3.92
diff -u -r3.92 RTIG/Federation.cc
--- RTIG/Federation.cc	16 Jun 2008 09:03:24 -0000	3.92
+++ RTIG/Federation.cc	21 Jun 2008 18:18:20 -0000
@@ -281,14 +281,14 @@
 
             // Retrieve the FED file last modification time(for Audit)
             STAT_STRUCT StatBuffer ;
-            #if defined(_WIN32) && not defined(__MINGW32__)
+            #if defined(_WIN32) && !defined(__MINGW32__)
             char MTimeBuffer[26];
             #else
             char *MTimeBuffer ;
             #endif
 
             if (STAT_FUNCTION(filename.c_str(), &StatBuffer) == 0) {
-            #if defined(_WIN32) && not defined(__MINGW32__)                
+            #if defined(_WIN32) && !defined(__MINGW32__)                
                 ctime_s(&MTimeBuffer[0],26,&StatBuffer.st_mtime);
             #else
                 MTimeBuffer = ctime(&StatBuffer.st_mtime);
Index: libCERTI/Clock.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/Clock.cc,v
retrieving revision 4.3
diff -u -r4.3 libCERTI/Clock.cc
--- libCERTI/Clock.cc	10 Aug 2007 11:32:16 -0000	4.3
+++ libCERTI/Clock.cc	21 Jun 2008 18:18:20 -0000
@@ -20,9 +20,9 @@
 #include "Clock.hh"
 namespace certi {
 
-Clock::Clock(const std::string name)
+Clock::Clock(const std::string newName)
 {
-	this->name = name;
+	name = newName;
 }
 
 uint64_t 
Index: libCERTI/Clock.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/Clock.hh,v
retrieving revision 4.4
diff -u -r4.4 libCERTI/Clock.hh
--- libCERTI/Clock.hh	28 Sep 2007 15:26:03 -0000	4.4
+++ libCERTI/Clock.hh	21 Jun 2008 18:18:20 -0000
@@ -46,12 +46,12 @@
 	 * The Clock default constructor.
 	 * @param[in] name the clock name
 	 */
-	Clock(const std::string name);
+	Clock(const std::string newName);
 	/**
 	 * Get the clock name.
 	 * @return the clock name
 	 */
-	const std::string getName() {return name;}; 
+	const std::string getName() const {return name;}; 
 	/**
 	 * Get the clock resolution in nano-seconds.
 	 * @return the clock resolution in nano-seconds
Index: libCERTI/FedRegion.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/FedRegion.hh,v
retrieving revision 3.2
diff -u -r3.2 libCERTI/FedRegion.hh
--- libCERTI/FedRegion.hh	22 Jun 2007 08:51:36 -0000	3.2
+++ libCERTI/FedRegion.hh	21 Jun 2008 18:18:20 -0000
@@ -28,10 +28,10 @@
 #include "certi.hh"
 #include "BaseRegion.hh"
 
-class RoutingSpace ;
-
 namespace certi {
 
+class RoutingSpace ;
+
 class CERTI_EXPORT FedRegion : public BaseRegion, public RTI::Region
 {
 public:
Index: libCERTI/LBTS.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/LBTS.cc,v
retrieving revision 3.10
diff -u -r3.10 libCERTI/LBTS.cc
--- libCERTI/LBTS.cc	23 Apr 2008 13:03:28 -0000	3.10
+++ libCERTI/LBTS.cc	21 Jun 2008 18:18:21 -0000
@@ -94,7 +94,11 @@
 LBTS::get(std::vector<FederateClock> &v) const
 {
     v.reserve(v.size() + clocks.size());
-    std::copy(clocks.begin(), clocks.end(), std::back_inserter(v));
+    // append clocks to v
+    // note, the ClockSet::value_type and FederateClock differ in const-ness
+    for(ClockSet::const_iterator pos = clocks.begin();
+        pos != clocks.end(); pos++)
+        v.push_back(FederateClock(pos->first, pos->second));
 }
 
 // ----------------------------------------------------------------------------
Index: libCERTI/MessageBuffer.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/MessageBuffer.cc,v
retrieving revision 3.10
diff -u -r3.10 libCERTI/MessageBuffer.cc
--- libCERTI/MessageBuffer.cc	12 Jun 2008 07:39:49 -0000	3.10
+++ libCERTI/MessageBuffer.cc	21 Jun 2008 18:18:21 -0000
@@ -205,7 +205,7 @@
 int32_t MessageBuffer::read_uint8s(uint8_t* data, uint32_t n) {	
 	if (n + readOffset > writeOffset) {
 		std::stringstream smsg;
-		smsg << __func__ << "::invalid read of size <" << n
+		smsg << "read_uint8s::invalid read of size <" << n
 				<< "> inside a buffer of readable size <"
 				<< (int32_t)writeOffset-readOffset << "> (writeOffset="
 				<<writeOffset << ",readOffset="<<readOffset <<").";
@@ -249,7 +249,7 @@
 	
 	if (2*n + readOffset > writeOffset) {
 		std::stringstream smsg;
-		smsg << __func__ << "::invalid read of size <" << 2*n
+		smsg << "read_uint16s::invalid read of size <" << 2*n
 				<< "> inside a buffer of readable size <"
 				<< (int32_t)writeOffset-readOffset << "> (writeOffset="
 				<<writeOffset << ",readOffset="<<readOffset <<").";
@@ -303,7 +303,7 @@
 	
 	if (4*n + readOffset > writeOffset) {
 		std::stringstream smsg;
-		smsg << __func__ << "::invalid read of size <" << 4*n
+		smsg << "read_uint32s::invalid read of size <" << 4*n
 				<< "> inside a buffer of readable size <"
 				<< (int32_t)writeOffset-readOffset << "> (writeOffset="
 				<<writeOffset << ",readOffset="<<readOffset <<").";
@@ -370,7 +370,7 @@
 	
 	if (8*n + readOffset > writeOffset) {
 		std::stringstream smsg;
-		smsg << __func__ << "::invalid read of size <" << 4*n
+		smsg << "read_uint64s::invalid read of size <" << 4*n
 				<< "> inside a buffer of readable size <"
 				<< (int32_t)writeOffset-readOffset << "> (writeOffset="
 				<<writeOffset << ",readOffset="<<readOffset <<").";
Index: libCERTI/NM_Classes.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/NM_Classes.hh,v
retrieving revision 3.6
diff -u -r3.6 libCERTI/NM_Classes.hh
--- libCERTI/NM_Classes.hh	11 Jun 2008 15:19:21 -0000	3.6
+++ libCERTI/NM_Classes.hh	21 Jun 2008 18:18:24 -0000
@@ -43,7 +43,7 @@
 	virtual void serialize(MessageBuffer& msgBuffer);
 	virtual void deserialize(MessageBuffer& msgBuffer);	
 	/* specific Getter/Setter */	
-	AttributeHandle getHandle(int i) {return handleArray[i];};
+	AttributeHandle getHandle(int i) const {return handleArray[i];};
 	void setHandle(AttributeHandle h, int i) {handleArray[i]=h;};
 protected:
 	/* specific field */
@@ -59,22 +59,22 @@
 	virtual void deserialize(MessageBuffer& msgBuffer) = 0;	
 	/* specific Getter/Setter */	
 	const SpaceHandle getSpace() const {return space;};
-	void setSpace(SpaceHandle space) {this->space=space;};
+	void setSpace(SpaceHandle newSpace) {space=newSpace;};
 
 	const int32_t geNbExtents() const {return nbExtents;};
-	void setNbExtents(int32_t nbExtents) {this->nbExtents=nbExtents;};
+	void setNbExtents(int32_t newNbExtents) {nbExtents=newNbExtents;};
 
 	const int32_t getRegion() const {return region;};
-	void setRegion(int32_t region) {this->region=region;};	
+	void setRegion(int32_t newRegion) {region=newRegion;};	
 
 	const ObjectHandle getObject() const {return object;};
-	void setObject(ObjectHandle object) {this->object=object;};
+	void setObject(ObjectHandle newObject) {object=newObject;};
 
 	const ObjectClassHandle getObjectClass() const {return objectClass;};
-	void setObjectClass(ObjectClassHandle objectClass) {this->objectClass=objectClass;};
+	void setObjectClass(ObjectClassHandle newObjectClass) {objectClass=newObjectClass;};
 
 	const InteractionClassHandle getInteractionClass() const {return interactionClass;};
-	void setInteractionClass(InteractionClassHandle interactionClass) {this->interactionClass=interactionClass;};
+	void setInteractionClass(InteractionClassHandle newInteractionClass) {interactionClass=newInteractionClass;};
 protected:
 	/* specific field */
 	bool DDM_bool;
@@ -624,7 +624,7 @@
 	virtual void deserialize(MessageBuffer& msgBuffer);
 	/* specific Getter/Setter */
 	const InteractionClassHandle getInteractionClassHandle() const {return interactionClass;};
-	void setInteractionClassHandle(InteractionClassHandle interactionClass) {this->interactionClass=interactionClass;};
+	void setInteractionClassHandle(InteractionClassHandle newInteractionClass) {interactionClass=newInteractionClass;};
 protected:
 	/* specific field */
 	//	InteractionClassHandle interactionClass;
@@ -946,7 +946,7 @@
 	virtual void deserialize(MessageBuffer& msgBuffer);
 	/* specific Getter/Setter */
 	const ObjectHandle getObject() const {return object;};
-	void setObject(ObjectHandle object) {this->object=object;};
+	void setObject(ObjectHandle newObject) {object=newObject;};
 protected:
 	/* specific field */
 private:
@@ -1206,9 +1206,9 @@
 	virtual void deserialize(MessageBuffer& msgBuffer);
 	/* specific Getter/Setter */
 	const SpaceHandle getSpace() const {return space;};
-	void setSpace(SpaceHandle space) {this->space=space;};	
+	void setSpace(SpaceHandle newSpace) {space=newSpace;};	
 	const int32_t getRegion() const {return region;};
-	void setRegion(SpaceHandle region) {this->region=region;};
+	void setRegion(SpaceHandle newRegion) {region=newRegion;};
 protected:
 	/* specific field */
 	//	SpaceHandle space;
@@ -1229,7 +1229,7 @@
 	virtual void deserialize(MessageBuffer& msgBuffer);
 	/* specific Getter/Setter */
 	const int32_t getRegion() const {return region;};
-	void setRegion(SpaceHandle region) {this->region=region;};
+	void setRegion(SpaceHandle newRegion) {region=newRegion;};
 protected:
 	/* specific field */
 	//	int32_t region;
@@ -1248,7 +1248,7 @@
 	virtual void deserialize(MessageBuffer& msgBuffer);
 	/* specific Getter/Setter */
 	const int32_t getRegion() const {return region;};
-	void setRegion(SpaceHandle region) {this->region=region;};
+	void setRegion(SpaceHandle newRegion) {region=newRegion;};
 protected:
 	/* specific field */
 	//	int32_t region;	
@@ -1267,9 +1267,9 @@
 	virtual void deserialize(MessageBuffer& msgBuffer);
 	/* specific Getter/Setter */
 	const int32_t getRegion() const {return region;};
-	void setRegion(SpaceHandle region) {this->region=region;};
+	void setRegion(SpaceHandle newRegion) {region=newRegion;};
 	const ObjectHandle getObject() const {return object;};
-	void setObject(ObjectHandle object) {this->object=object;};		
+	void setObject(ObjectHandle newObject) {object=newObject;};
 protected:
 	/* specific field */
 	//	int32_t      region;
@@ -1396,12 +1396,12 @@
 	virtual void serialize(MessageBuffer& msgBuffer);
 	virtual void deserialize(MessageBuffer& msgBuffer);
 	/* specific Getter/Setter */
-	void setFEDid(std::string FEDid) {this->FEDid=FEDid;};
+	void setFEDid(std::string newFEDid) {FEDid=newFEDid;};
 	const std::string getFEDid() const {return FEDid;};
 	//	void setLineFollows() {lineFollows=true;};
 	//	void unsetLineFollows() {lineFollows=true;};
 	//const bool getLineFollows() {return lineFollows;};
-	void setFEDLine(std::string line) {this->line=line;};
+	void setFEDLine(std::string newLine) {line=newLine;};
 	std::string getFEDLine() {return line;};
 protected:
 	/* specific field */
Index: libCERTI/Named.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/Named.cc,v
retrieving revision 3.5
diff -u -r3.5 libCERTI/Named.cc
--- libCERTI/Named.cc	9 Dec 2007 16:26:49 -0000	3.5
+++ libCERTI/Named.cc	21 Jun 2008 18:18:24 -0000
@@ -28,20 +28,20 @@
 
 Named::Named() { }
 
-Named::Named(std::string name)
-    : name(name) { }
+Named::Named(std::string newName)
+    : name(newName) { }
 
 Named::~Named() {}
 
 void
-Named::setName(std::string name)
+Named::setName(std::string newName)
 {
-    this->name = name ;
+    name = newName ;
 }
 
 void 
-Named::setName(const char* name) {
-    this->name = name;
+Named::setName(const char* newName) {
+    name = newName;
 }
 
 const std::string
@@ -58,9 +58,9 @@
 }
 
 bool
-Named::isNamed(const std::string &name) const
+Named::isNamed(const std::string &newName) const
 {
-    return (this->name == name) ;
+    return (name == newName);
 }
 
 bool
Index: libCERTI/Named.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/Named.hh,v
retrieving revision 3.4
diff -u -r3.4 libCERTI/Named.hh
--- libCERTI/Named.hh	9 Dec 2007 16:26:49 -0000	3.4
+++ libCERTI/Named.hh	21 Jun 2008 18:18:24 -0000
@@ -51,7 +51,7 @@
      * Constructor with inital value.
      * @param[in] name Initial name
      */	
-    Named(const std::string name);
+    Named(const std::string newName);
     
     /**
      * Virtual destructor.
@@ -63,13 +63,13 @@
      *  Set name.     
      *  @param[in] name the new name
      */
-    virtual void setName(const std::string name);
+    virtual void setName(const std::string newName);
     
     /**
      *  Set name (char* version)
      *  @param[in] name the new name
      */
-    virtual void setName(const char* name);
+    virtual void setName(const char* newName);
     
     /** 
      * Get name.
@@ -88,7 +88,7 @@
      * @param name String to compare
      * @return true if strings match
      */
-    bool isNamed(const std::string& name) const ;
+    bool isNamed(const std::string& newName) const ;
     
 	/**
 	 * This method check if the provided name 
Index: libCERTI/NetworkMessage.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/NetworkMessage.hh,v
retrieving revision 3.38
diff -u -r3.38 libCERTI/NetworkMessage.hh
--- libCERTI/NetworkMessage.hh	11 Jun 2008 15:19:22 -0000	3.38
+++ libCERTI/NetworkMessage.hh	21 Jun 2008 18:18:25 -0000
@@ -223,7 +223,7 @@
 	 * If ones set Date then this is a Dated message
 	 * Message builder which setDate will generate a Dated message 
 	 */
-	void setDate(FederationTime date) {_isDated=true; this->date = date;};
+	void setDate(FederationTime new_date) {_isDated=true; date = new_date;};
 	const FederationTime getDate() const {return this->date;};
 
 	unsigned long multicastAddress ;
@@ -232,7 +232,7 @@
 	 * Indicate if the message is Labelled or not
 	 */
 	bool isLabelled() {return _isLabelled;};	
-	void setLabel(const std::string label) {_isLabelled = true; this->label = label;};
+	void setLabel(const std::string new_label) {_isLabelled = true; label = new_label;};
 	void setLabel(const char *new_label) {_isLabelled = true; label = std::string(new_label); }
 	const std::string getLabel() const {return this->label;};
 
@@ -240,7 +240,7 @@
 	 * Indicate if the message is Tagged or not
 	 */
 	bool isTagged() {return _isTagged;};
-	void setTag(const std::string tag) {_isTagged = true; this->tag = tag;};
+	void setTag(const std::string new_tag) {_isTagged = true; tag = new_tag;};
 	void setTag(const char *new_tag) {_isTagged = true; tag = std::string(new_tag); }
 	const std::string getTag() const {return this->tag;};
 
Index: libCERTI/ObjectClassSet.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/ObjectClassSet.cc,v
retrieving revision 3.37
diff -u -r3.37 libCERTI/ObjectClassSet.cc
--- libCERTI/ObjectClassSet.cc	11 Jun 2008 15:19:22 -0000	3.37
+++ libCERTI/ObjectClassSet.cc	21 Jun 2008 18:18:27 -0000
@@ -94,12 +94,12 @@
 
 // ----------------------------------------------------------------------------
 //! Constructor.
-ObjectClassSet::ObjectClassSet(SecurityServer *theSecurityServer, bool isRootClassSet)   
+ObjectClassSet::ObjectClassSet(SecurityServer *theSecurityServer, bool newIsRootClassSet)
 
 {
     // It can be NULL on the RTIA.
-    this->server = theSecurityServer ;
-    this->isRootClassSet = isRootClassSet;
+    server = theSecurityServer ;
+    isRootClassSet = newIsRootClassSet;
 }
 
 // ----------------------------------------------------------------------------
Index: libCERTI/ObjectClassSet.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/ObjectClassSet.hh,v
retrieving revision 3.29
diff -u -r3.29 libCERTI/ObjectClassSet.hh
--- libCERTI/ObjectClassSet.hh	11 Jun 2008 15:19:22 -0000	3.29
+++ libCERTI/ObjectClassSet.hh	21 Jun 2008 18:18:27 -0000
@@ -47,7 +47,7 @@
 {
 
 public:
-    ObjectClassSet(SecurityServer *theSecurityServer, bool isRootClassSet=false);
+    ObjectClassSet(SecurityServer *theSecurityServer, bool newIsRootClassSet=false);
     ~ObjectClassSet();
 
     void addClass(ObjectClass *theClass) throw (RTIinternalError);
Index: libCERTI/PosixClock.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/PosixClock.cc,v
retrieving revision 4.3
diff -u -r4.3 libCERTI/PosixClock.cc
--- libCERTI/PosixClock.cc	10 Aug 2007 11:32:16 -0000	4.3
+++ libCERTI/PosixClock.cc	21 Jun 2008 18:18:27 -0000
@@ -4,10 +4,10 @@
 
 namespace certi {
 
-PosixClock::PosixClock(clockid_t clockId) : Clock("PosixClock")
+PosixClock::PosixClock(clockid_t newClockId) : Clock("PosixClock")
 {
-		this->clockId = clockId;
-		clock_getres(clockId,&this->resolution);
+    clockId = newClockId;
+    clock_getres(newClockId, &resolution);
 }   
 
 double 
Index: libCERTI/PosixClock.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/PosixClock.hh,v
retrieving revision 4.2
diff -u -r4.2 libCERTI/PosixClock.hh
--- libCERTI/PosixClock.hh	30 Jul 2007 07:30:21 -0000	4.2
+++ libCERTI/PosixClock.hh	21 Jun 2008 18:18:27 -0000
@@ -22,7 +22,7 @@
 	 *      - CLOCK_REALTIME_HR
 	 *      - CLOCK_MONOTONIC_HR
 	 */
-	PosixClock(clockid_t clockId=CLOCK_REALTIME);
+	PosixClock(clockid_t newClockId=CLOCK_REALTIME);
 	/**
 	 * Get the clock resolution in nano-seconds.
 	 * @return the clock resolution in nano-seconds
Index: libCERTI/Subscribable.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/Subscribable.cc,v
retrieving revision 3.7
diff -u -r3.7 libCERTI/Subscribable.cc
--- libCERTI/Subscribable.cc	12 Jun 2008 07:39:48 -0000	3.7
+++ libCERTI/Subscribable.cc	21 Jun 2008 18:18:28 -0000
@@ -107,7 +107,9 @@
 void
 Subscribable::unsubscribe(FederateHandle fed)
 {
-    subscribers.remove_if(HandleComparator<Subscriber>(fed));
+    std::remove_if(subscribers.begin(),
+                   subscribers.end(),
+                   HandleComparator<Subscriber>(fed));
 }
 
 // ----------------------------------------------------------------------------
Index: test/Billard/Billard.cc
===================================================================
RCS file: /sources/certi/certi/test/Billard/Billard.cc,v
retrieving revision 3.37
diff -u -r3.37 test/Billard/Billard.cc
--- test/Billard/Billard.cc	16 Jun 2008 09:03:25 -0000	3.37
+++ test/Billard/Billard.cc	21 Jun 2008 18:18:30 -0000
@@ -855,13 +855,13 @@
           theParameters.size());
 
     for (unsigned int j = 0 ; j < theParameters.size(); ++j) {
-        RTI::ParameterHandle handle = theParameters.getHandle(j);
+        RTI::ParameterHandle parmHandle = theParameters.getHandle(j);
 
         valueLength = theParameters.getValueLength(j);
         parmValue = new char[valueLength] ;
         theParameters.getValue(j, parmValue, valueLength);
 
-        if (handle == ParamDXID) {
+        if (parmHandle == ParamDXID) {
             if (parmValue != NULL) {
                 // OLD : dx1 = atoi(parmValue);
                 double d_dx1 ;
@@ -875,7 +875,7 @@
                 D.Out(pdError, "Missing Attribute in RAV.");
         }
         else
-            if (handle == ParamDYID) {
+            if (parmHandle == ParamDYID) {
                 if (parmValue != NULL) {
                     // OLD : dy1 = atoi(parmValue);
                     double d_dy1 ;
@@ -889,7 +889,7 @@
                     D.Out(pdError, "Missing Attribute in RAV.");
             }
             else
-                if (handle == ParamBoulID) {
+                if (parmHandle == ParamBoulID) {
                     if (parmValue != NULL) {
                         // OLD : h1 = atoi(parmValue);
                         RTI::ObjectHandle d_h1 ;
@@ -937,12 +937,12 @@
 
     for (unsigned int j=0 ; j<theAttributes.size(); j++) {
 
-        RTI::AttributeHandle handle = theAttributes.getHandle(j);
+        RTI::AttributeHandle parmHandle = theAttributes.getHandle(j);
         valueLength = theAttributes.getValueLength(j);
         attrValue = new char[valueLength] ;
         theAttributes.getValue(j, attrValue, valueLength);
 
-        if (handle == AttrXID) {
+        if (parmHandle == AttrXID) {
             if (attrValue != NULL) {
                 // OLD : x1 = atof(attrValue);
                 double d_x1 ;
@@ -953,7 +953,7 @@
             else
                 D.Out(pdError, "Fed: ERREUR: missing Attribute.");
         }
-        else if (handle == AttrYID) {
+        else if (parmHandle == AttrYID) {
             if (attrValue != NULL) {
                 // OLD : y1 = atof(attrValue);
                 double d_y1 ;
@@ -1014,12 +1014,12 @@
 
     for (unsigned int j=0 ; j<theAttributes.size(); j++) {
 
-        RTI::AttributeHandle handle = theAttributes.getHandle(j);
+        RTI::AttributeHandle parmHandle = theAttributes.getHandle(j);
         valueLength = theAttributes.getValueLength(j);
         attrValue = new char[valueLength] ;
         theAttributes.getValue(j, attrValue, valueLength);
 
-        if (handle == AttrXID) {
+        if (parmHandle == AttrXID) {
             if (attrValue != NULL) {
                 // OLD : x1 = atof(attrValue);
                 double d_x1 ;
@@ -1030,7 +1030,7 @@
             else
                 D.Out(pdError, "Fed: ERREUR: missing Attribute.");
         }
-        else if (handle == AttrYID) {
+        else if (parmHandle == AttrYID) {
             if (attrValue != NULL) {
                 // OLD : y1 = atof(attrValue);
                 double d_y1 ;
